Name:           screengrab
Version:        2.9.0
Release:        1%{?dist}
Summary:        An application for creating screenshots

License:        GPL-2.0-or-later
URL:            https://github.com/lxqt/screengrab
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  libappstream-glib
BuildRequires:  perl-interpreter

BuildRequires:  cmake(KF6WindowSystem)

BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(qt6xdg)

BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcb)

%description
An application for creating screenshots. ScreenGrab uses the Qt framework and
thus, it is independent from any desktop environment.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name --with-qt --with-html

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/screengrab
%{_datadir}/applications/screengrab.desktop
%{_datadir}/icons/hicolor/scalable/apps/screengrab.svg
%{_datadir}/metainfo/screengrab.metainfo.xml
%{_datadir}/screengrab/screengrab.conf
%{_datadir}/doc/screengrab/html/

%changelog
* Fri Nov 08 2024 Pavel Solovev <daron439@gmail.com> - 2.9.0-1
- Initial build
